/* TCHK 0.50 - Howard Kapustein's Turbo C library     11-18-87 */
/* Copyright (C) 1987, Howard Kapustein.  All rights reserved. */

/* keyboard.h  -  header file for KEYBOARD.C - keyboard input routines */

/* function prototypes */
byte getk(boolean wait);      /* get key, like getchar() for IBM */
int inkey(boolean wait);      /* get key, returns ASCII + 256 for extended */
char getyn(int output);       /* get Yes/No, output = 0: no output */
char getlogical(int output);  /* get True/False, output = 0: no output */
char *getddate(void);         /* get date: 11/24/87 */
char *getdouble(void);        /* get double */
char *getint(void);           /* get integer */
char *getreal(int size, int decimal);          /* get real number */
char getc_match(boolean output, char *match);  /* get char, case not matter */
char getk_match(boolean output, char *match);  /* get char, case matters */
char *getstr(int size, char *pattern);  /* get a string, max size, pattern */
int getget(byte row, byte col, char *returnstr, int size, char *pattern, 
           int argn, int argk[]); /* get a string, max size, pattern, with editing */
int clear_typeahead(void);        /* clears typeahead buffer, return # keys cleared */
