/* TCHK 0.50 - Howard Kapustein's Turbo C library     11-18-87 */
/* Copyright (C) 1987, Howard Kapustein.  All rights reserved. */

/* stringhk.h  -  Howard Kapustein's string header file */

/* function prototypes */
int intlen(char *number);       /* find length of integer part of string */
char *strcomma(char *source);   /* convert a string to xx,xxx,xxx format */
char *strtodol(char *source);   /* convert string to $ format */
char *ltrim(char *source);             /* trim blanks on left */
char *rtrim(char *source);             /* trim blanks on right */
char *atrim(char *source);             /* trim blanks on left & right */
char *strins(char *source, char *new, char *ptr);      /* string insert */
char *strdel(char *source, char *old); /* string delete */
char *strrep(char c, int len);         /* replicate c len times */
char *leftstr(char *source, int len);  /* LEFT$(SOURCE$,len) */
char *rightstr(char *source, int len); /* RIGHT$(SOURCE$,len) */
char *midstr(char *source, int begin, int len);  /* MID$(SOURCE$,begin,len) */
char *strshleft(char *source, int count);    /* shift string left count chars */
char *strshright(char *source, int count);   /* shift string right count chars */
